"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisClient = void 0;
const types_1 = require("../../types");
const ioredis_1 = __importDefault(require("ioredis"));
const redis_1 = __importDefault(require("redis"));
function RedisClient(config, cb) {
    var _a;
    const { client = types_1.RedisClientName.REDIS, options = {} } = (_a = config.redis) !== null && _a !== void 0 ? _a : {};
    if (![types_1.RedisClientName.IOREDIS, types_1.RedisClientName.REDIS].includes(client)) {
        throw new Error('Invalid Redis driver name');
    }
    const instance = client === types_1.RedisClientName.REDIS
        ? redis_1.default.createClient(options)
        : new ioredis_1.default(options);
    instance.on('ready', () => cb(null, instance));
    instance.on('error', cb);
}
exports.RedisClient = RedisClient;
//# sourceMappingURL=redis-client.js.map